Subject: Re: [bug#55049] [PATCH 0/3] gnu: Add cl-boost-{parse,re,lexer}.

From: Guillaume Le Vaillant <[email-masked]>
Date: Sat, 23 Apr 2022 08:23:36 +0000

"Paul A. Patience" <[email-masked]> skribis:

> The PARSE and RE Common Lisp libraries (by https://github.com/massung) have
> been seemingly migrated to the CL-BOOST organization
> (https://github.com/cl-boost) — some of whose packages I've added in this
> patch series —, probably to avoid potential conflicts with other CL library
> names.
> For now I've left the cl-parse and cl-re Guix packages alone, but if no one is
> using them, they could be removed.
>
> Paul A. Patience (3):
>   gnu: Add cl-boost-parse.
>   gnu: Add cl-boost-re.
>   gnu: Add cl-boost-lexer.
>
>  gnu/packages/lisp-xyz.scm | 90 +++++++++++++++++++++++++++++++++++++++
>  1 file changed, 90 insertions(+)

I think you could replace the definitions of sbcl-parse, cl-parse and
ecl-parse by:

--8<---------------cut here---------------start------------->8---
(define-public sbcl-parse
  (deprecated-package "sbcl-parse" sbcl-boost-parse))

(define-public cl-parse
  (deprecated-package "cl-parse" cl-boost-parse))

(define-public ecl-parse
  (deprecated-package "ecl-parse" ecl-boost-parse))
--8<---------------cut here---------------end--------------->8---

and likewise for {sbcl,cl,ecl}-re. Then after some time has passed we'll
remove the deprecated packages.